### Name: readVECT6
### Title: Read and write GRASS 6 vector object files
### Aliases: readVECT6 writeVECT6 vInfo vColumns vDataCount vect2neigh
###   putSites6sp getSites6sp putSites6 getSites6 cygwin_clean_temp
### Keywords: spatial

### ** Examples

if (nchar(Sys.getenv("GISRC")) > 0) {
  if (Sys.getenv("OSTYPE") == "msys" || nchar(Sys.getenv("WINGISRC")) > 0)
    system("v.info.exe bugsites")
  else system("v.info bugsites")
  print(vInfo("bugsites", ignore.stderr=TRUE))
  bugs <- readVECT6("bugsites", ignore.stderr=TRUE)
  print(summary(bugs))
  if ("GRASS" %in% ogrDrivers()$name) {
    bugs1 <- readVECT6("bugsites", plugin=TRUE, ignore.stderr=TRUE,
      mapset="PERMANENT")
    print(summary(bugs1))
  }
  writeVECT6(bugs, "newbugs", v.in.ogr_flags="-o --overwrite", ignore.stderr=TRUE)
  if (Sys.getenv("OSTYPE") == "msys" || nchar(Sys.getenv("WINGISRC")) > 0)
    system("v.info.exe newbugs")
  else system("v.info newbugs")
  nbugs <- readVECT6("newbugs", ignore.stderr=TRUE)
  print(summary(nbugs))
  print(vInfo("streams", ignore.stderr=TRUE))
  streams <- readVECT6("streams", type="line,boundary", remove.duplicates=FALSE, ignore.stderr=TRUE)
  print(summary(streams))
}



